ITfCandidateListUIElementVtbl Struct Reference

`#include <SDL_msctf.h>`

Collaboration diagram for ITfCandidateListUIElementVtbl:
[legend]

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfCandidateListUIElement *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfCandidateListUIElement *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfCandidateListUIElement *)
| HRESULT (STDMETHODCALLTYPE *GetDescription)(ITfCandidateListUIElement *
BSTR * | HRESULT (STDMETHODCALLTYPE *GetGUID)(ITfCandidateListUIElement *
BSTR GUID * | HRESULT (STDMETHODCALLTYPE *Show)(ITfCandidateListUIElement *
| HRESULT (STDMETHODCALLTYPE *IsShown)(ITfCandidateListUIElement *
BOOL * | HRESULT (STDMETHODCALLTYPE *GetUpdatedFlags)(ITfCandidateListUIElement *
BOOL DWORD * | HRESULT (STDMETHODCALLTYPE *GetDocumentMgr)(ITfCandidateListUIElement *
BOOL DWORD ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *GetCount)(ITfCandidateListUIElement *
BOOL DWORD ITfDocumentMgr UINT * | HRESULT (STDMETHODCALLTYPE *GetSelection)(ITfCandidateListUIElement *
BOOL DWORD ITfDocumentMgr UINT UINT * | HRESULT (STDMETHODCALLTYPE *GetString)(ITfCandidateListUIElement *
BOOL DWORD ITfDocumentMgr UINT UINT BSTR * | HRESULT (STDMETHODCALLTYPE *GetPageIndex)(ITfCandidateListUIElement *
BOOL DWORD ITfDocumentMgr UINT UINT BSTR UINT UINT * | HRESULT (STDMETHODCALLTYPE *SetPageIndex)(ITfCandidateListUIElement *
| HRESULT (STDMETHODCALLTYPE *GetCurrentPage)(ITfCandidateListUIElement *

## Data Fields

| REFIID
BSTR GUID | BOOL
BOOL DWORD ITfDocumentMgr UINT UINT | UINT
BOOL DWORD ITfDocumentMgr UINT UINT BSTR UINT | UINT
BOOL DWORD ITfDocumentMgr UINT UINT BSTR UINT UINT UINT | UINT

## Detailed Description

Definition at line 152 of file SDL_msctf.h.

## Member Function Documentation

ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetDescription | ) |

BSTR* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetGUID | ) |

BSTR GUID* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Show | ) |

ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | IsShown | ) |

BOOL* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetUpdatedFlags | ) |

BOOL DWORD* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetDocumentMgr | ) |

BOOL DWORD ITfDocumentMgr** ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetCount | ) |

BOOL DWORD ITfDocumentMgr UINT* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetSelection | ) |

BOOL DWORD ITfDocumentMgr UINT UINT* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetString | ) |

BOOL DWORD ITfDocumentMgr UINT UINT BSTR* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetPageIndex | ) |

BOOL DWORD ITfDocumentMgr UINT UINT BSTR UINT UINT* ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | SetPageIndex | ) |

ITfCandidateListUIElementVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetCurrentPage | ) |

void** ITfCandidateListUIElementVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

ITfCandidateListUIElementVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

BSTR GUID ITfCandidateListUIElementVtbl::BOOL

Definition at line 159 of file SDL_msctf.h.

ITfCandidateListUIElementVtbl::REFIID

Definition at line 154 of file SDL_msctf.h.

BOOL DWORD ITfDocumentMgr UINT UINT ITfCandidateListUIElementVtbl::UINT

Definition at line 165 of file SDL_msctf.h.

BOOL DWORD ITfDocumentMgr UINT UINT BSTR UINT ITfCandidateListUIElementVtbl::UINT

Definition at line 166 of file SDL_msctf.h.

BOOL DWORD ITfDocumentMgr UINT UINT BSTR UINT UINT UINT ITfCandidateListUIElementVtbl::UINT

Definition at line 167 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h